Loading...
Searching...
No Matches
IntGenerator Class Reference

generate integers starting from 0 More...

`#include <cf_generator.h>`

## Public Member Functions

| IntGenerator ()
| ~IntGenerator ()
bool | hasItems () const
void | reset ()
CanonicalForm | item () const
void | next ()
void | operator++ ()
void | operator++ (int)
CFGenerator * | clone () const
| IntGenerator ()
| ~IntGenerator ()
bool | hasItems () const
void | reset ()
CanonicalForm | item () const
void | next ()
void | operator++ ()
void | operator++ (int)
CFGenerator * | clone () const
| IntGenerator ()
| ~IntGenerator ()
bool | hasItems () const
void | reset ()
CanonicalForm | item () const
void | next ()
void | operator++ ()
void | operator++ (int)
CFGenerator * | clone () const
Public Member Functions inherited from CFGenerator
| CFGenerator ()
virtual | ~CFGenerator ()
| CFGenerator ()
virtual | ~CFGenerator ()
| CFGenerator ()
virtual | ~CFGenerator ()

## Private Attributes

int | current

## Detailed Description

generate integers starting from 0

Definition at line 36 of file cf_generator.h.

## Constructor & Destructor Documentation

## IntGenerator() [1/3]

IntGenerator::IntGenerator | ( |  | ) |

inline

Definition at line 41 of file cf_generator.h.

: current(0) {}
IntGenerator::current
int current
Definition cf_generator.h:39

## ~IntGenerator() [1/3]

IntGenerator::~IntGenerator | ( |  | ) |

inline

Definition at line 42 of file cf_generator.h.

{}

## IntGenerator() [2/3]

IntGenerator::IntGenerator | ( |  | ) |

inline

Definition at line 706 of file factory.h.

: current(0) {}

## ~IntGenerator() [2/3]

IntGenerator::~IntGenerator | ( |  | ) |

inline

Definition at line 707 of file factory.h.

{}

## IntGenerator() [3/3]

IntGenerator::IntGenerator | ( |  | ) |

inline

Definition at line 706 of file factory.h.

: current(0) {}

## ~IntGenerator() [3/3]

IntGenerator::~IntGenerator | ( |  | ) |

inline

Definition at line 707 of file factory.h.

{}

## Member Function Documentation

## clone() [1/3]

CFGenerator * IntGenerator::clone | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

Definition at line 30 of file cf_generator.cc.

{
return new IntGenerator();
}
IntGenerator::IntGenerator
IntGenerator()
Definition cf_generator.h:41

## clone() [2/3]

CFGenerator * IntGenerator::clone | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## clone() [3/3]

CFGenerator * IntGenerator::clone | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## hasItems() [1/3]

bool IntGenerator::hasItems | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

Definition at line 15 of file cf_generator.cc.

{
return 1;
}

## hasItems() [2/3]

bool IntGenerator::hasItems | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## hasItems() [3/3]

bool IntGenerator::hasItems | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## item() [1/3]

CanonicalForm IntGenerator::item | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

Definition at line 20 of file cf_generator.cc.

{
return mapinto (CanonicalForm (current));
}
mapinto
CanonicalForm mapinto(const CanonicalForm &f)
Definition factory.h:496

## item() [2/3]

CanonicalForm IntGenerator::item | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## item() [3/3]

CanonicalForm IntGenerator::item | ( |  | ) | const

virtual

Reimplemented from CFGenerator.

## next() [1/3]

void IntGenerator::next | ( |  | ) |

virtual

Reimplemented from CFGenerator.

Definition at line 25 of file cf_generator.cc.

{
current++;
}

## next() [2/3]

void IntGenerator::next | ( |  | ) |

virtual

Reimplemented from CFGenerator.

## next() [3/3]

void IntGenerator::next | ( |  | ) |

virtual

Reimplemented from CFGenerator.

## operator++() [1/6]

void IntGenerator::operator++ | ( |  | ) |

inline

Definition at line 47 of file cf_generator.h.

{ next(); }
IntGenerator::next
void next()
Definition cf_generator.cc:25

## operator++() [2/6]

void IntGenerator::operator++ | ( |  | ) |

inline

Definition at line 712 of file factory.h.

{ next(); }

## operator++() [3/6]

void IntGenerator::operator++ | ( |  | ) |

inline

Definition at line 712 of file factory.h.

{ next(); }

## operator++() [4/6]

void IntGenerator::operator++ | ( | int |  | ) |

inline

Definition at line 48 of file cf_generator.h.

{ next(); }

## operator++() [5/6]

void IntGenerator::operator++ | ( | int |  | ) |

inline

Definition at line 713 of file factory.h.

{ next(); }

## operator++() [6/6]

void IntGenerator::operator++ | ( | int |  | ) |

inline

Definition at line 713 of file factory.h.

{ next(); }

## reset() [1/3]

void IntGenerator::reset | ( |  | ) |

inline virtual

Reimplemented from CFGenerator.

Definition at line 44 of file cf_generator.h.

{ current = 0; }

## reset() [2/3]

void IntGenerator::reset | ( |  | ) |

inline virtual

Reimplemented from CFGenerator.

Definition at line 709 of file factory.h.

{ current = 0; }

## reset() [3/3]

void IntGenerator::reset | ( |  | ) |

inline virtual

Reimplemented from CFGenerator.

Definition at line 709 of file factory.h.

{ current = 0; }

## Field Documentation

## current

int IntGenerator::current

private

Definition at line 39 of file cf_generator.h.

The documentation for this class was generated from the following files:

- factory/cf_generator.h
- factory/factory.h
- factory/include/factory/factory.h
- factory/cf_generator.cc